<!-- [![os][os_img]][os_target] Temporarily disabled (requires faiss fix) -->
[![python][python_img]][python_target]
[![pypi][pypi_img]][pypi_target]
[![typed][typed_img]][typed_target]
[![license][license_img]][license_target]
[![pipeline][pipeline_img]][pipeline_target]
[![coverage][coverage_img]][coverage_target]
[![ruff][ruff_img]][ruff_target]
[![uv][uv_img]][uv_target]

[os_img]: https://img.shields.io/badge/OS_Independant-%E2%9C%93-blue "Tested on Ubuntu, Windows & MacOS"
[os_target]: https://github.com/ThalesGroup/scio#readme

[python_img]: https://img.shields.io/badge/python-3.12%20|%203.13-blue "Compatible Python versions"
[python_target]: https://devguide.python.org/versions

[pypi_img]: https://img.shields.io/pypi/v/scio-pypi "Latest PyPI release"
[pypi_target]: https://pypi.org/project/scio-pypi

[typed_img]: https://img.shields.io/pypi/types/scio-pypi "This package is typed"
[typed_target]: https://peps.python.org/pep-0561

[license_img]: https://img.shields.io/github/license/ThalesGroup/scio "Distributed under"
[license_target]: https://github.com/ThalesGroup/scio?tab=MIT-1-ov-file#MIT-1-ov-file

[pipeline_img]: https://github.com/ThalesGroup/scio/actions/workflows/ci.yml/badge.svg "Pipeline status"
[pipeline_target]: https://github.com/ThalesGroup/scio/actions

[coverage_img]: https://codecov.io/github/ThalesGroup/scio/graph/badge.svg?token=7L1KWAHGR6 "Test coverage"
[coverage_target]: https://codecov.io/github/ThalesGroup/scio

[ruff_img]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/ruff/main/assets/badge/v2.json "Linted and formatted with Ruff"
[ruff_target]: https://github.com/astral-sh/ruff#readme

[uv_img]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/uv/main/assets/badge/v0.json "Developed with uv"
[uv_target]: https://github.com/astral-sh/uv#readme

<!-- End of Badges -->


# `scio`

<div align="center">
  <h3 align="center">Confidence scores for Neural Networks, made easy!</h3>

  <p align="center">
    <a href="https://sciortd.readthedocs.io/en/latest/index.html"><strong>Explore the docs »</strong></a>
    <br />
    <a href="https://github.com/ThalesGroup/scio/issues/new?labels=question">Ask Help</a>
    &middot;
    <a href="https://github.com/ThalesGroup/scio/issues/new?labels=enhancement">Request Feature</a>
    &middot;
    <a href="https://github.com/ThalesGroup/scio/issues/new?labels=bug">Report Bug</a>
  </p>
</div>

```bash
# Install from PyPI
pip install scio-pypi  # the `-pypi` suffix will be removed soon
```

----

### Demo 🎮
*Coming soon...*

### Documentation 📖
The full documentation can be found [here][docs]. You may specifically refer to [tutorials], [API references][api] or scientific literature [references].

### Citing `scio` 🎓
See [citing].

### Contributing 💫
Questions, [issues], [discussions] and [pull requests][pulls] are welcome! Read our [Contributing Guide](CONTRIBUTING.md) and join our team of [contributors](CONTRIBUTORS.md) ✨

For development, we recommend using `uv` since we ship `uv.lock` for better development reproducibility.

### License ⚖️
This package is distributed under the [MIT license](LICENSE). The use of nvidia proprietary modules (for GPU acceleration) is optional.

<!-- References -->
[docs]: https://sciortd.readthedocs.io/en/latest/index.html
[tutorials]: https://sciortd.readthedocs.io/en/latest/auto_tutorials/index.html
[api]: https://sciortd.readthedocs.io/en/latest/api_references.html
[references]: https://sciortd.readthedocs.io/en/latest/bib_references.html
[citing]:  https://sciortd.readthedocs.io/en/latest/citing_scio.html
[issues]: https://github.com/ThalesGroup/scio/issues
[discussions]: https://github.com/ThalesGroup/scio/discussions
[pulls]: https://github.com/ThalesGroup/scio/pulls
